---
apiVersion: batch/v1
kind: Job
metadata:
  name: {{ .Name }}
spec:
  template:
    spec:
      hostPID: true
      containers:
        - name: {{ .Name }}
          image: docker.io/aquasec/kube-bench:latest
          command:
            ["kube-bench", "run", "--targets", "node", "--benchmark", "aks-1.0"]
          volumeMounts:
            - name: var-lib-kubelet
              mountPath: /var/lib/kubelet
              readOnly: true
            - name: etc-systemd
              mountPath: /etc/systemd
              readOnly: true
            - name: etc-default
              mountPath: /etc/default
              readOnly: true
            - name: etc-kubernetes
              mountPath: /etc/kubernetes
              readOnly: true
      restartPolicy: Never
      volumes:
        - name: var-lib-kubelet
          hostPath:
            path: "/var/lib/kubelet"
        - name: etc-systemd
          hostPath:
            path: "/etc/systemd"
        - name: etc-default
          hostPath:
            path: "/etc/default"
        - name: etc-kubernetes
          hostPath:
            path: "/etc/kubernetes"
